---
type: api
title: Resolve a saved object
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-resolvesavedobject
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-resolvesavedobject
products:
  - Kibana
---

# Resolve a saved object

deprecated

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/saved_objects/resolve/{type}/{id}`
- `GET` `/s/{space_id}/api/saved_objects/resolve/{type}/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  An identifier for the saved object.
- `type` (string)
  Valid options include `visualization`, `dashboard`, `search`, `index-pattern`, `config`.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Retrieve a single Kibana saved object by identifier using any legacy URL alias if it exists. Under certain circumstances, when Kibana is upgraded, saved object migrations may necessitate regenerating some object IDs to enable new features. When an object's ID is regenerated, a legacy URL alias is created for that object, preserving its old ID. In such a scenario, that object can be retrieved using either its new ID or its old ID.

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `object`

#### `400`

Bad request.

`application/json`

- `error` (enum)
  Values: `Bad Request`
- `message` (string)
- `statusCode` (enum)
  Values: `400`
## Code Examples

#### Console

```console
GET /api/saved_objects/resolve/{type}/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/saved_objects/resolve/{type}/{id}"
```

